<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>backgroundSize</title>
    <style>
        .background-contain{
            width: 580px;
            height: 560px;
            background: url('./banner.jpg');
            background-repeat: no-repeat;
            background-size: contain;
        }
        .background-cover{
            width: 580px;
            height: 560px;
            background: url('./banner.jpg');
            background-repeat: no-repeat;
            background-size: cover;
        }
        .background-origin-border{
            width: 550px;
            height: 660px;
            background-image: url('./banner.jpg');
            border:10px solid rgba(230, 30, 26, .2);
            padding: 40px;
            background-origin:content-box;
        }
        .background-clip{
            width: 550px;
            height: 660px;
            background-image: url('./banner.jpg');
            border:10px solid rgba(230, 30, 26, .2);
            padding: 40px;
            background-clip:content-box;
        }
    </style>
</head>
<body>
    <div class="background-cover"></div>
    <div class="background-contain"></div>
    <div class="background-origin-border"></div>
    <div class="background-clip"></div>
</body>
</html>